/*
 *  acm : an aerial combat simulator for X
 *  Copyright (C) 1991-1998  Riley Rainey
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 dated June, 1991.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program;  if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
 */

#ifndef _hud_h
#define _hud_h

#include "pm.h"

#ifdef hud_IMPORT
	#define EXTERN
#else
	#define EXTERN extern
#endif

EXTERN void hud_enable(viewer *u);
EXTERN void hud_disable(viewer *u);
EXTERN void hud_draw(viewer *u);
EXTERN void hud_timer_toggle(viewer *u);
EXTERN void hud_free(viewer *u);

/* FIXME: these functions should not stay in this module: */
EXTERN void doFlightStatusPage(craft * c, viewer * u);
EXTERN void FSPageToggle(void);

#undef EXTERN
#endif
